Zorya APIZorya API
  • Go to the Portal
  • Sign Up
  • Documentation
  • API Reference
  • Tables
  • Copyright © 2026 Zorya Telecom, S.A. de C.V.
USERS & SESSIONS
    Get a signed token for a userpostGet the current active usergetList all active sessions for the current usergetRevoke a session by SessionIdpost
LOOKUP
    Consult Msisdn informationpost
TOP-UP
    Send a regular Top Up to a userpostSend a direct Top Up to a user with specified ProductpostGet Statusget
SMS
    Send a Basic SMS to a userpostGet Sms Statusget
RCS
    Send an RCS MessagepostGet RCS Statusget
MESSAGING
    Send SMS or RCS MessagepostGet Message Statusget
WHATSAPP
    MESSAGES
      Text Messagepost
    STATUS
      Get WhatsApp Statusget
    MEDIA
      Get MediaIdgetGenerate Header HandlepostUpload Media Completepost
    TEMPLATES
      List WhatsApp TemplatesgetCreate a WhatsApp TemplatepostUpdate a WhatsApp TemplatepostDelete a WhatsApp Templatedelete
      Categories
    Flows
    Usernames
WEBHOOKS
    MO
    MT
    NOTIFICATIONS
Core API
Core API

MESSAGING


Send SMS or RCS Message

POST
https://gateway.zorya.com
/api/v1/Message/send

Request Parameters

ParameterData TypeDescriptionRequired?
toStringRecipient's mobile numberYes
fromStringSender ID or alphanumeric sender (e.g., AgentName)Yes
messageStringThe SMS message bodyYes
timeToLiveInSecondsIntegerTime that the message will retry the sendingNo
fallbackSmsMessageStringnThe SMS message body for fallback messageNo
Message preview
Message preview
POST/api/v1/Message/send
curl https://gateway.zorya.com/api/v1/Message/send \ --request POST \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "msisdn": "525512345678", "sender": "00000", "message": "Hi! This is a SMS message", "type": "1" }'
Example Request Body
{ "msisdn": "525512345678", "sender": "00000", "message": "Hi! This is a SMS message", "type": "1" }
json
application/json
Example Responses
{ "success": true, "errors": null, "detailedErrors": [], "data": { "transactionId": "a0ce5d07-6286-49af-bc00-dbe21585b5de", "status": 100, "dateCreated": "2026-09-03T13:54:15.6629283" } }
json
application/json

Get Message Status
RCSMESSAGES